-- https://github.com/nvim-treesitter/nvim-treesitter/blob/main/README.md

return {
  {
    "nvim-treesitter/nvim-treesitter",
    branch = "main",
    build = ":TSUpdate",
    lazy = false,
    config = function()
      local treesitter = require("nvim-treesitter")

      -- treesitter.setup({})

      -- https://github.com/nvim-treesitter/nvim-treesitter/blob/main/SUPPORTED_LANGUAGES.md
      treesitter.install({
        "bash",
        "c",
        "cpp",
        "html",
        "python",
        "vim",
        "vimdoc",
        "javascript",
        "lua",
        "typescript",
        "vim",
      })
    end,
  },
}
